Bug 977310 - Xen PCI Passthrough sometimes does not work on latest xen (xen-4.1.5-5.fc17.x86_64)
Xen PCI Passthrough sometimes does not work on latest xen (xen-4.1.5-5.fc17.x...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 05:46 EDT by jo4nsm1th
Modified: 2013-07-05 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: xen-4.2.2-9.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 23:30:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
recorded logs see description (13.07 KB, application/x-gzip)
2013-06-24 05:46 EDT, jo4nsm1th
no flags Details

  None (edit)
Description jo4nsm1th 2013-06-24 05:46:15 EDT
Created attachment 764529 [details]
recorded logs see description

Description of problem:
 Xen PCI Passthrough sometimes does not work on latest xen (xen-4.1.5-5.fc17.x86_64).
 On xen-4.1.2-15.fc17.x86_64 all works good.

Version-Release number of selected component (if applicable):
 kernel-3.8.4-102.fc17.x86_64
 xen-4.1.5-5.fc17.x86_64

How reproducible:
 hardware requirements:
  Motherboard: Intel DQ67SW
  CPU: Intel(R) Core(TM) i7-2600

Steps to Reproduce:
1. install fedora 17
2. Update system and install Xen
3. Boot fedora 17 in xen-hypervisor 
4. install domU system (Windows XP proffessional for me)
5. try to passthrough pci device '00:1d.0' (onboard usb controller)

Actual results:
domU fails to start with Error: (22, 'Invalid argument')

Expected results:
pci device in domU work perfectly

Additional info:

lspci:
...
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
...
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
...

I recorded logs in next 4 cases:

1.
xen-4.1.5-5.fc17.x86_64
pci=[ '00:1d.0' ]

domU fails to start with Error: (22, 'Invalid argument')

2.
xen-4.1.5-5.fc17.x86_64
pci=[ '00:1a.0' ]

pci device in domU work perfectly

3.
xen-4.1.2-15.fc17.x86_64
pci=[ '00:1d.0' ]

pci device in domU work perfectly

4.
xen-4.1.2-15.fc17.x86_64
pci=[ '00:1a.0' ]

pci device in domU work perfectly
Comment 1 Michael Young 2013-06-24 15:29:42 EDT
This sounds like a PCI passthrough issue that occurs following a security patch (refs. XSA-46 CVE-2013-1919 ) that was added in xen-4.1.5. There is a patch for it so I will try applying it.
Comment 2 Fedora Update System 2013-06-24 16:58:34 EDT
xen-4.2.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.2-9.fc19
Comment 3 Fedora Update System 2013-06-24 17:24:37 EDT
xen-4.2.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.2-9.fc18
Comment 4 Fedora Update System 2013-06-24 18:22:43 EDT
xen-4.1.5-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.5-8.fc17
Comment 5 jo4nsm1th 2013-06-25 05:36:52 EDT
(In reply to Fedora Update System from comment #4)
> xen-4.1.5-8.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/xen-4.1.5-8.fc17

this patch fixed issue
Comment 6 Fedora Update System 2013-06-25 17:18:48 EDT
Package xen-4.2.2-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.2.2-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11685/xen-4.2.2-9.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-26 15:39:30 EDT
xen-4.2.2-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.2-10.fc19
Comment 8 Fedora Update System 2013-07-02 23:30:27 EDT
xen-4.2.2-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-05 20:47:11 EDT
xen-4.1.5-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-05 20:51:34 EDT
xen-4.2.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.